%define gcc_32_libs 1
Name:        mozilla
Summary:     Web browser and mail reader
Version:     1.0.1
Release:     26.2
Serial:      35
Copyright:   MPL
Source0:     mozilla-source-%{version}.tar.bz2
Source1:     mozilla.sh.in
Source2:     mozilla-icon.png
Source4:     mozilla.desktop
Source7:     mozilla-make-package.pl
Source9:     mozicon16.xpm
Source10:    mozicon50.xpm
Source11:    mozilla-rebuild-databases.pl.in
Source12:    mozilla-mail.desktop
Source13:    mozilla-mail-icon.gif
Source14:    mozilla-compose.desktop
Source15:    mozilla-compose-icon.gif
Source16:    mozilla-exclude-list
Source17:    mozilla-psm-exclude-list
Source18:    mozilla-xpcom-exclude-list
Source19:    mozilla-redhat-default-bookmarks.html
Patch0:      mozilla-navigator-overlay-menu.patch
Patch1:      mozilla-editor-overlay-menu.patch
Patch6:      mozilla-prefs-debug.patch
Patch7:      mozilla-redhat-home-page-1.0.0.patch
Patch8:      mozilla-redhat-mail-home-page.patch
Patch11:     mozilla-taskbar-nomozilla.patch
Patch12:     mozilla-psfonts-7.2.patch
Patch13:     mozilla-nspr-packages.patch
Patch14:     mozilla-default-plugin-less-annoying.patch
Patch17:     mozilla-1.0.0-buildid-title.patch
Patch18:     mozilla-1.0.1-xptcall.patch
Patch19:     mozilla-1.0.0-over-the-spot.patch
Patch20:     mozilla-1.0.1-native-theme.patch
Patch21:     mozilla-redhat-searches.patch
Patch22:     mozilla-1.0.1-referrer.patch
Patch23:     mozilla-1.0.1-xmlserializer.patch
Buildroot:   %{_tmppath}/mozilla-root
Prefix:      /usr
Group:       Applications/Internet
Provides:    webclient
BuildPrereq: libpng-devel, libjpeg-devel, zlib-devel, zip, perl, autoconf, ORBit-devel, glib-devel, gtk+-devel
#ExcludeArch: ia64
ExclusiveArch: i386 i586 i686 athlon
Prereq:      fileutils perl
Prereq:      /usr/bin/killall
Requires:    mozilla-nspr = %{version}-%{release}, indexhtml
%define builddir %{_builddir}/mozilla

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability.

%package nspr
Summary: Netscape Portable Runtime
Group: Applications/Internet
Conflicts: mozilla < 0.9.9

%description nspr
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

%package nspr-devel
Summary: Development Libraries for the Netscape Portable Runtime
Group: Development/Libraries
Requires: mozilla-nspr = %{version}-%{release}

%description nspr-devel
Header files for doing development with the Netscape Portable Runtime.

%package nss
Summary: Network Security Services
Group: Applications/Internet
Requires: mozilla-nspr = %{version}-%{release}

%description nss
Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled server
applications. Applications built with NSS can support SSL v2 and v3,
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3
certificates, and other security standards.

%package nss-devel
Summary: Development Libraries for Network Security Services
Group: Applications/Internet
Requires: mozilla-nss-devel = %{version}-%{release}

%description nss-devel
Header files to doing development with Network Security Services.

%package devel
Summary: Development files for Mozilla
Group: Development/Libraries
Requires: mozilla = %{version}-%{release}

%description devel
Development header files for mozilla.

%package mail
Summary: Mozilla-based mail system
Group: Applications/Internet
Prereq:      fileutils mozilla = %{version}-%{release}

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package psm
Summary: Personal Security Manager
Group: Applications/Internet
Prereq:      fileutils mozilla = %{version}-%{release} mozilla-nss = %{version}-%{release}

%description psm
The Personal Security Manager is a set of libraries that allow Mozilla
to talk to the Network Security Services layer.  It allows Mozilla to
access SSL web sites and manage cryptographic keys.

%package chat
Summary: IRC client integrated with Mozilla
Group: Applications/Internet
Prereq: fileutils mozilla = %{version}-%{release}

%description chat
IRC client that is integrated with the Mozilla web browser.

%package js-debugger
Summary: JavaScript debugger for use with Mozilla
Group: Applications/Internet
Prereq: fileutils mozilla = %{version}-%{release}

%description js-debugger
JavaScript debugger for use with Mozilla.

%package dom-inspector
Summary: A tool for inspecting the DOM of pages in Mozilla.
Group: Applications/Internet
Prereq: fileutils mozilla = %{version}-%{release}

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
Mozilla.  This is of great use to people who are doing Mozilla chrome
development or web page development.

%prep

%setup -q -n mozilla

# not needed for 1.0
#%patch0 -p1
#%patch0 -p1 -R

#%patch1 -p1
#%patch1 -p1 -R

# not needed for 1.0
#%patch6 -p1
#%patch6 -p1 -R

%patch7 -p1

%patch8 -p1

%patch11 -p1

# Can't hurt to leave this in since the defaults are empty.
%patch12 -p1

%patch13 -p1

# make the plugin dialog less annoying and disable redirection to the
# plugin downloader page.
%patch14 -p1

# remove the annoying buildid from the titlebar
%patch17 -p1

# fix xptcall for all compilers
%patch18 -p1

# use over the spot by default
%patch19 -p1

# enable native themes for classic
%patch20 -p1

# don't ship the mozilla search engines
%patch21 -p1

# http://bugzilla.mozilla.org/show_bug.cgi?id=145579
# Website can see url of page visited after it (document referer used
# when loading images with javascript is incorrect while loading a new
# page)
%patch22 -p1

# http://bugzilla.mozilla.org/show_bug.cgi?id=169982
%patch23 -p1

# set up our default bookmarks
/bin/cp %{SOURCE19} $RPM_BUILD_DIR/mozilla/profile/defaults/bookmarks.html

%build

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

# build mozilla
# we're still at doors 3.3 (rh 7.3 equivalent) ... CC=gcc296 CXX=g++296 \
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
	./configure --prefix=%{_prefix} \
	--enable-optimize="$RPM_OPT_FLAGS" \
	--disable-debug \
	--with-default-mozilla-five-home=/usr/lib/mozilla-%{version} \
	--enable-strip-libs \
	--disable-tests \
	--disable-short-wchar \
	--enable-nspr-autoconf \
	--enable-extensions=default,irc \
	--without-mng \
	--enable-crypto \
	--disable-xprint \
	--without-system-nspr \
	--with-system-zlib \
	--disable-freetype2 \
	--enable-old-abi-compat-wrappers \
	--mandir=%{_mandir}

# have to rebuild configure since we messed with configure.in
autoconf-2.13

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make export
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make -j$CPUS libs

%install
/bin/rm -rf $RPM_BUILD_ROOT

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
	DESTDIR=$RPM_BUILD_ROOT \
	make install

# create a list of all of the different package and the files that
# will hold them

# NSS and NSPR are both installed into /usr/lib instead of
# /usr/lib/mozilla-VERSION

pushd .
cd $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}
# copy nspr
mv -v \
  libnspr4.so libplc4.so libplds4.so \
  $RPM_BUILD_ROOT/usr/lib/

# copy nss
mv -v \
  libnss3.so libsmime3.so libsoftokn3.so libssl3.so \
  $RPM_BUILD_ROOT/usr/lib/

# copy system libs
mv -v \
  libgkgfx.so libjsj.so libmozjs.so libxpcom.so \
  libgtkembedmoz.so libgtksuperwin.so libgtkxtbin.so \
  $RPM_BUILD_ROOT/usr/lib/

# libnssckbi.so must be in both places
cp -v libnssckbi.so $RPM_BUILD_ROOT/usr/lib/
popd

/bin/rm -f %{builddir}/mozilla-nspr.list
%{SOURCE7} --package nspr --output-file %{builddir}/mozilla-nspr.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib \
    --install-root /usr/lib

/bin/rm -f %{builddir}/mozilla-nss.list
%{SOURCE7} --package nss --output-file %{builddir}/mozilla-nss.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib \
    --install-root /usr/lib

# manually add the libnssckbi.so file
echo /usr/lib/mozilla-%{version}/libnssckbi.so >> %{builddir}/mozilla-nss.list

# build all of the default browser components
/bin/rm -f %{builddir}/mozilla.list
%{SOURCE7} --package langenus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla-%{version} \
    --install-root /usr/lib/mozilla-%{version}

%{SOURCE7} --package regus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla-%{version} \
    --install-root /usr/lib/mozilla-%{version}

%{SOURCE7} --package deflenus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla-%{version} \
    --install-root /usr/lib/mozilla-%{version}

%{SOURCE7} --package xpcom --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla-%{version} \
    --install-root /usr/lib/mozilla-%{version} \
    --exclude-file=%{SOURCE18}

%{SOURCE7} --package browser --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla-%{version} \
    --install-root /usr/lib/mozilla-%{version} \
    --exclude-file=%{SOURCE16}

/bin/rm -f %{builddir}/mozilla-mail.list
%{SOURCE7} --package mail --output-file %{builddir}/mozilla-mail.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla-%{version} \
    --install-root /usr/lib/mozilla-%{version}

/bin/rm -f %{builddir}/mozilla-psm.list
%{SOURCE7} --package psm --output-file %{builddir}/mozilla-psm.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla-%{version} \
    --install-root /usr/lib/mozilla-%{version} \
    --exclude-file=%{SOURCE17}

/bin/rm -f %{builddir}/mozilla-chat.list
%{SOURCE7} --package chatzilla --output-file %{builddir}/mozilla-chat.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla-%{version} \
    --install-root /usr/lib/mozilla-%{version}

/bin/rm -f %{builddir}/mozilla-js-debugger.list
%{SOURCE7} --package venkman --output-file %{builddir}/mozilla-js-debugger.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla-%{version} \
    --install-root /usr/lib/mozilla-%{version}

/bin/rm -f %{builddir}/mozilla-dom-inspector.list
%{SOURCE7} --package inspector --output-file %{builddir}/mozilla-dom-inspector.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/usr/lib/mozilla-%{version} \
    --install-root /usr/lib/mozilla-%{version}

# build our initial component and chrome registry
# we don't need to do this anymore

pushd `pwd`
  cd $RPM_BUILD_ROOT/%{prefix}/lib/mozilla-%{version}
  # register our components
  LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` ./regxpcom
  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> chrome/installed-chrome.txt
  # set up the chrome rdf files
  LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` ./regchrome
  # fix permissions of the chrome directories
  /usr/bin/find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd

# cp -L (dereference all symlinks) is required for fileutils >= 2.0.27
# (POSIX compliance); prior versions don't understand -L, so fall back...

# copy the nss files to the right place
mkdir $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/nss/

/usr/bin/find security/nss/lib/ -name '*.h' -type f -exec /bin/cp {} \
 $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/nss/ \;

# build the list of include files
rm -f %{builddir}/mozilla-devel.list
rm -f %{builddir}/mozilla-nss-devel.list
rm -f %{builddir}/mozilla-nspr-devel.list

find $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/ -type f | \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep -v "/%{prefix}/include/mozilla-%{version}/nss" | \
  grep -v "/%{prefix}/include/mozilla-%{version}/nspr" > \
  %{builddir}/mozilla-devel.list

find $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/ -type f | \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep "/%{prefix}/include/mozilla-%{version}/nspr" > \
  %{builddir}/mozilla-nspr-devel.list

find $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/ -type f| \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep "/%{prefix}/include/mozilla-%{version}/nss" > \
  %{builddir}/mozilla-nss-devel.list

# copy our idl into place
#mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/idl/mozilla-%{version}
#(cd dist/idl ; tar chf - * | \
#  (cd $RPM_BUILD_ROOT/%{prefix}/share/idl/mozilla-%{version} ; \
#   tar xvf -))

# copy our devel tools
install -c -m 755 dist/bin/xpcshell \
  dist/bin/xpidl \
  dist/bin/xpt_dump \
  dist/bin/xpt_link \
  $RPM_BUILD_ROOT/%{prefix}/lib/mozilla-%{version}

# set up our desktop files
/bin/mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/pixmaps/
#/bin/mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet/
/bin/mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/applications/

install -c -m 644 %{SOURCE2} %{SOURCE13} %{SOURCE15} \
  $RPM_BUILD_ROOT/%{prefix}/share/pixmaps/

#install -c -m 644  %{SOURCE4} %{SOURCE12} %{SOURCE14} \
#  $RPM_BUILD_ROOT/etc/X11/applnk/Internet
install -c -m 644 %{SOURCE4} %{SOURCE12} \
  $RPM_BUILD_ROOT/%{prefix}/share/applications/

# our icons are better!
install -c -m 644 %{SOURCE9} $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/icons/
install -c -m 644 %{SOURCE10} $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/icons/

# install our mozilla.sh file
cat %{SOURCE1} | sed -e 's/MOZILLA_VERSION/%{version}/g' > \
  $RPM_BUILD_ROOT/usr/bin/mozilla

chmod 755 $RPM_BUILD_ROOT/usr/bin/mozilla

# install our rebuild file
cat %{SOURCE11} | sed -e 's/MOZILLA_VERSION/%{version}/g' > \
  $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl

chmod 755 \
  $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl

%if %{gcc_32_libs}
make distclean

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

# build mozilla with the default compiler
CC=gcc CXX=g++ \
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
	./configure --prefix=%{_prefix} --enable-optimize \
	--disable-debug \
	--with-default-mozilla-five-home=/usr/lib/mozilla-%{version}/gcc-3.2 \
	--enable-strip-libs \
	--disable-tests \
	--disable-short-wchar \
	--enable-nspr-autoconf \
	--enable-extensions=default,irc \
	--without-mng \
	--enable-crypto \
	--disable-xprint \
	--without-system-nspr \
	--with-system-zlib \
	--disable-freetype2 \
	--enable-old-abi-compat-wrappers

# have to rebuild configure since we messed with configure.in
autoconf-2.13

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make export
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make -j$CPUS libs

mkdir -p gcc-3.2/components
for i in libembed_base_s.a libmozreg_s.a libmozjs.so libmsgbaseutil.so \
	 libnspr4.so libplc4.so libplds4.so libxpcom.so \
	 libldap50.so libprldap50.so components/libabsyncsvc.so \
	 components/libaddrbook.so components/libmork.so \
	 components/libnecko.so components/libpref.so \
	 components/libprofile.so components/librdf.so \
	 components/libstrres.so components/liburiloader.so \
	 components/libxpconnect.so components/libmozldap.so \
	 components/libuconv.so components/libucvcn.so \
	 components/libucvibm.so components/libucvja.so \
	 components/libucvko.so components/libucvlatin.so \
	 components/libucvtw2.so components/libucvtw.so \
	 components/libunicharutil.so components/libvcard.so; do
  cp -aL dist/lib/$i gcc-3.2/$i
done
find gcc-3.2 -name \*.so -exec strip {} \;
cd gcc-3.2
tar cf - * | bzip2 -9 > $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/mozilla-gcc-3.2-libs.tar.bz2
cd ..

%endif

# remove unpackaged files from rpm build root
pushd $RPM_BUILD_ROOT
rm -f .%{prefix}/lib/mozilla-%{version}/TestGtkEmbed*
rm -f .%{prefix}/lib/mozilla-%{version}/chrome/chrome.rdf
rm -f .%{prefix}/lib/mozilla-%{version}/chrome/embed-sample.jar
rm -rf .%{prefix}/lib/mozilla-%{version}/chrome/overlayinfo/*/content/
pushd .%{prefix}/lib/mozilla-%{version}/components/
rm -f accessibility.xpt composer.xpt content.xpt htmlparser.xpt \
	jsconsole.xpt libaccessibility.so necko_cookie.xpt \
	necko_file.xpt necko_viewsource.xpt nsKillAll.js \
	nsResetPref.js nsUpdateNotifier.js plugin.xpt txtsvc.xpt
popd
rm -rf .%{prefix}/lib/mozilla-%{version}/defaults/profile/US/chrome/ \
	.%{prefix}/lib/mozilla-%{version}/defaults/profile/chrome/
rm -f .%{prefix}/lib/mozilla-%{version}/libnullplugin.so
rm -f .%{prefix}/lib/mozilla-%{version}/mozilla-installer-bin
rm -f .%{prefix}/lib/mozilla-%{version}/res/arrowd.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/builtin/xbl-forms.css
rm -f .%{prefix}/lib/mozilla-%{version}/res/gfx/icon_0.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/gfx/icon_1.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/rdf/dom-test-1.xul
rm -f .%{prefix}/lib/mozilla-%{version}/res/rdf/dom-test-2.xul
rm -f .%{prefix}/lib/mozilla-%{version}/res/rdf/dom-test-3.xul
rm -f .%{prefix}/lib/mozilla-%{version}/res/rdf/dom-test-4.css
rm -f .%{prefix}/lib/mozilla-%{version}/res/rdf/dom-test-4.xul
rm -f .%{prefix}/lib/mozilla-%{version}/res/rdf/dom-test-5.xul
rm -f .%{prefix}/lib/mozilla-%{version}/res/rdf/dom-test-6.xul
rm -f .%{prefix}/lib/mozilla-%{version}/res/rdf/dom-test-7.xul
rm -f .%{prefix}/lib/mozilla-%{version}/res/rdf/dom-test-8.xul
rm -f .%{prefix}/lib/mozilla-%{version}/res/rdf/ignore-test.xul
rm -f .%{prefix}/lib/mozilla-%{version}/res/rdf/xpidl-test-1.xul
rm -f .%{prefix}/lib/mozilla-%{version}/res/sample.unixpsfonts.properties
rm -f .%{prefix}/lib/mozilla-%{version}/res/samples/sampleimages/bongo.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/samples/sampleimages/down.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/samples/sampleimages/left.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/samples/sampleimages/right.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/samples/sampleimages/up.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anim.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims00.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims01.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims02.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims03.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims04.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims05.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims06.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims07.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims08.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims09.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims10.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims11.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims12.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims13.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims14.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims15.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims16.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims17.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims18.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims19.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims20.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims21.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims22.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims23.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims24.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims25.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims26.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims27.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims28.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/throbber/anims29.gif
rm -f .%{prefix}/lib/mozilla-%{version}/res/viewer.properties
rm -f .%{prefix}/lib/mozilla-%{version}/timebombgen
rm -f .%{prefix}/share/aclocal/nspr.m4
rm -f .%{prefix}/share/applications/mozilla.desktop
popd

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
# was this an upgrade?
if [ "$1" == "2" ]; then
  if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
      /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
  fi
fi

%triggerpostun -- mozilla < 1.0
# Older packages will leave mozilla unusable after the postun script
# script is run for the old package.  Rebuild the databases after that
# has been run.
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%preun
# is a final removal?
if [ "$1" == "0" ]; then
  /bin/rm -rf /usr/lib/mozilla/chrome/overlayinfo
  /bin/rm -f /usr/lib/mozilla/chrome/*.rdf
fi

%post nspr
/sbin/ldconfig >/dev/null 2>/dev/null

%postun nspr
/sbin/ldconfig >/dev/null 2>/dev/null

%post nss
/sbin/ldconfig >/dev/null 2>/dev/null

%postun nss
/sbin/ldconfig >/dev/null 2>/dev/null

%post mail
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun mail

# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%post psm
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun psm
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%post chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%post js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%post dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files -f mozilla.list
%defattr(-,root,root)
%{prefix}/bin/mozilla
%{prefix}/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
%{prefix}/share/pixmaps/mozilla-icon.png
%{prefix}/share/pixmaps/mozilla-mail-icon.gif
%{prefix}/share/pixmaps/mozilla-compose-icon.gif
%{_mandir}/man1/mozilla.1*

%{prefix}/lib/libgkgfx.so
%{prefix}/lib/libjsj.so
%{prefix}/lib/libmozjs.so
%{prefix}/lib/libxpcom.so
%{prefix}/lib/libgtkembedmoz.so
%{prefix}/lib/libgtksuperwin.so
%{prefix}/lib/libgtkxtbin.so

%verify (not md5 mtime size) %{prefix}/lib/mozilla-%{version}/component.reg
%verify (not md5 mtime size) %{prefix}/lib/mozilla-%{version}/components/xpti.dat

%dir %{prefix}/lib/mozilla-%{version}/defaults/pref
%dir %{prefix}/lib/mozilla-%{version}/defaults/profile
%dir %{prefix}/lib/mozilla-%{version}/defaults/wallet
%dir %{prefix}/lib/mozilla-%{version}/defaults
%dir %{prefix}/lib/mozilla-%{version}/chrome
%dir %{prefix}/lib/mozilla-%{version}/components
%dir %{prefix}/lib/mozilla-%{version}/res/builtin
%dir %{prefix}/lib/mozilla-%{version}/res/rdf
%dir %{prefix}/lib/mozilla-%{version}/res
%dir %{prefix}/lib/mozilla-%{version}/icons
%dir %{prefix}/lib/mozilla-%{version}/defaults/profile/US
%dir %{prefix}/lib/mozilla-%{version}/searchplugins

%dir %{prefix}/lib/mozilla-%{version}/plugins
%dir %{prefix}/lib/mozilla-%{version}/res/html
%dir %{prefix}/lib/mozilla-%{version}/res/samples
%dir %{prefix}/lib/mozilla-%{version}/res/entityTables

#/etc/X11/applnk/Internet/mozilla.desktop
#/usr/share/applications/mozilla.desktop

%files nspr -f mozilla-nspr.list
%defattr(-,root,root)

%files nspr-devel -f mozilla-nspr-devel.list
%defattr(-,root,root)
%{prefix}/lib/pkgconfig/*
%{prefix}/bin/mozilla-config

%files nss -f mozilla-nss.list
%defattr(-,root,root)

%files nss-devel -f mozilla-nss-devel.list
%defattr(-,root,root)

%files mail -f mozilla-mail.list
%defattr(-,root,root)
/usr/share/applications/mozilla-mail.desktop
#/etc/X11/applnk/Internet/mozilla-mail.desktop
#/etc/X11/applnk/Internet/mozilla-compose.desktop

%files psm -f mozilla-psm.list
%defattr(-,root,root)

%files chat -f mozilla-chat.list
%defattr(-,root,root)

%files js-debugger -f mozilla-js-debugger.list
%defattr(-,root,root)

%files dom-inspector -f mozilla-dom-inspector.list
%defattr(-,root,root)

%files devel -f mozilla-devel.list
%defattr(-,root,root)
%{prefix}/share/idl/mozilla-%{version}/*
%{prefix}/lib/mozilla-%{version}/xpcshell
%{prefix}/lib/mozilla-%{version}/xpidl
%{prefix}/lib/mozilla-%{version}/xpt_dump
%{prefix}/lib/mozilla-%{version}/xpt_link
%if %{gcc_32_libs}
%{prefix}/lib/mozilla-%{version}/mozilla-gcc-3.2-libs.tar.bz2
%endif

%changelog
* Wed Oct 30 2002 Peter Hanecak <hanecak@megaloman.sk> 1.0.1-26.2

* Wed Oct 23 2002 Peter Hanecak <hanecak@megaloman.sk> 1.0.1-26.1
- merged with RedHat's mozilla 1.0.1-26 package (see below)
- removed old entries from changelog
- build also for other ix86 architectures

* Thu Oct 03 2002 Christopher Blizzard <blizzard@redhat.com> 1.0.1-26
- Include patch for moz bug #169982

* Fri Sep 20 2002 Christopher Blizzard <blizzard@redhat.com> 1.0.1-25
- Include patch for moz security bug #145579

* Fri Aug 30 2002 Christopher Blizzard <blizzard@redhat.com> 1.0.1-24
- Make sure to do a killall -9, not just a regular killall

* Wed Aug 28 2002 Christopher Blizzard <blizzard@redhat.com> 1.0.1-23
- Don't include mozilla.desktop since the redhat-web.desktop file in
  htmlview will launch mozilla.

* Sat Aug 24 2002 Christopher Blizzard <blizzard@redhat.com> 1.0.1-22
- Final 1.0.1 bits.

* Fri Aug 23 2002 Jakub Jelinek <jakub@redhat.com> 1.0.1-21
- change make clobber_all back to make distclean, otherwise
  config.cache etc. are left around and we build with the same
  gcc/g++ once again

* Thu Aug 22 2002 Jakub Jelinek <jakub@redhat.com> 1.0.1-20
- pack the 3.2 libraries into a tarball
- bzip2 source tarball
- build some libraries with g++ 3.2, so that OpenOffice.org
  can link against it
- remove hardcoded /tmp/mozilla*.list paths, put them into
  %%{_builddir}/mozilla
- include man page

* Wed Aug 21 2002 Christopher Blizzard <blizzard@redhat.com> 1.0.1-17
- Disable mozilla-specific search engines

* Wed Aug 21 2002 Christopher Blizzard <blizzard@redhat.com> 1.0.1-16
- Include prereq for killall and include killall calls in
  mozilla-rebuild-databases.pl to kill regxpcom and regchrome in case
  the kill -9 doesn't work.
- Include missing css bits to the native theme patch (thanks to bryner
  for pointing this out.)
- Include newer default bookmarks

* Fri Aug 09 2002 Christopher Blizzard <blizzard@redhat.com> 1.0.1-15
- Don't include redhat-web.desktop since it's in htmlview now.

* Fri Aug 09 2002 Christopher Blizzard <blizzard@redhat.com> 1.0.1-14
- Update to newer snapshot.
- Require htmlview since the redhat-web.desktop is going to use it.

* Thu Aug 08 2002 Christopher Blizzard <blizzard@redhat.com>
- Update to a newer snapshot
- Native themes patch (really, merge theme changes back from the trunk)

* Sun Aug 04 2002 Christopher Blizzard <blizzard@redhat.com>
- Update to a newer snapshot.

* Thu Aug 01 2002 Christopher Blizzard <blizzard@redhat.com>
- Update to a newer snapshot.

* Wed Jul 24 2002 Christopher Blizzard <blizzard@redhat.com>
- Use redhat-menus files.
- Use over-the-spot by default.

* Fri Jul 12 2002 Christopher Blizzard <blizzard@redhat.com>
- Fix Comment section in desktop file.

* Thu Jul 11 2002 Christopher Blizzard <blizzard@redhat.com>
- Rebuild with newer snapshot.

* Wed Jul 10 2002 Christopher Blizzard <blizzard@redhat.com>
- Rebuild using gcc 2.96.

* Mon Jul  8 2002 Chris Blizzard <blizzard@redhat.com>
- Include patch to try to get flash working
- Update to newer 1.0.1 snapshot

* Mon Jul  1 2002 Chris Blizzard <blizzard@redhat.com>
- Update to newer 1.0.1 snapshot
- Move libs into the system that need to be there

* Tue Jun 25 2002 Christopher Blizzard <blizzard@redhat.com>
- Change mozilla-rebuild-databases.pl to remove compreg.dat as well as
  component.reg.

* Sun Jun 23 2002 Chris Blizzard <blizzard@redhat.com>
- Move nspr + nss back into /usr/lib

* Thu Jun 20 2002 Christopher Blizzard <blizzard@redhat.com>
- Time for a new changelog.

* Thu May 16 2002 Peter Hanecak <hanecak@megaloman.sk>
- merged with RedHat's mozilla 0.9.9-12.7.3 package (see below)
